Name:           python-felupe
Version:        9.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Finite Element Analysis

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://felupe.readthedocs.io/en/latest
Source:         %{pypi_source felupe}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'felupe' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-felupe
Summary:        %{summary}

%description -n python3-felupe %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-felupe all,autodiff,docs,examples,io,parallel,plot,progress,view


%prep
%autosetup -p1 -n felupe-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,autodiff,docs,examples,io,parallel,plot,progress,view


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-felupe -f %{pyproject_files}


%changelog
%autochangelog